# cr(2m)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

cr - File's carriage return (CR) style

## SYNOPSIS

crlf Mode

c - mode line letter.

## DESCRIPTION

When enabled cr indicates that a carriage return should be written out at the end of the line. Typically enabled independently for different line ending styles used in DOS and UNIX. When 1 then \r is included in the line ending; when 0 then \r is not included in the line ending.

## NOTES

This mode only effects the style in which the buffer is written if auto(2m) mode is enabled. cr mode is used in conjunction with lf(2m) to control the line feed.

## SEE ALSO

Operating Modes, auto(2m), lf(2m), ctrlz(2m), save-buffer(2), find-file(2), $buffer-fmod(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/10/03
Generated On: 2009/10/12

</HMTL>